
ChiliProject - Feature # 1071: Javascript  causes browser to flash white on changing pages

Status: Open Priority: Normal
Author: jamon camisso Category: Themes
Created: 2012-07-09 Assignee:
Updated: 2012-07-09 Due date:
Remote issue URL:
Affected version:
Description: Using Firefox 13.0.1, and Chromium 18.0.1025.168 browsers on Linux and noticing that when clicking any link 

in chiliproject 3.x with the new theme, the entire browser flashes white as a new page renders. This does not 
happen when browsing with javascript disabled via no script.

On a fast server and connection it is mildly annoying - on a slow Chiliproject instance the white browser flash 
lasts for enough time to be visually jarring. 

Associated revisions
2009-12-27 12:57 pm - Jean-Philippe Lang 
Enlarge wiki content for MySQL databases (#1071).
Limit changed from 64KB to 16MB.

git-svn-id: svn+ssh://rubyforge.org/var/svn/redmine/trunk@3254 e93f8b46-1217-0410-a6f0-8f06a7374b81

History
2012-07-09 04:33 pm - Felix Schäfer
Let's see if our resident Javascript expert Andrew has an idea as to what might be going on :-)

2012-07-09 05:05 pm - jamon camisso
Just adding that the same behaviour is exhibited in Chrome on Windows as well.

Seems like it might be a jQuery issue: 
http://bugs.jquery.com/ticket/10851

Some wordpress users corroborate that report, that jQuery versions prior to 1.6 are not affected (but they see the same behaviour):
http://wordpress.org/support/topic/how-to-fix-the-flash-on-page-load-32x
